import $ from 'jquery';

/**
 * Datepicker : https://github.com/fengyuanchen/datepicker
 * Licence MIT - 2014-2017 Fengyuan Chen
 */
import '@fengyuanchen/datepicker/src/datepicker.js';

// Remplace les fléches suivante / précédente par une icône, en ajoutant
// les classes correspondantes à l'élément directement.
let template = $.fn.datepicker.Constructor.DEFAULTS.template.replace(
  />&lsaquo;/g, ' class="icon icon-chevron-left">'
).replace(
  />&rsaquo;/g, ' class="icon icon-chevron-right">'
);

$.fn.datepicker.setDefaults({
  autoHide: true,
  template: template,
  // adapte l'affichage en français
  format: 'dd/mm/yyyy',
  days: [
    'dimanche', 'lundi', 'mardi', 'mercredi', 'jeudi', 'vendredi', 'samedi'
  ],
  daysShort: [
    'dim.', 'lun.', 'mar.', 'mer.', 'jeu.', 'ven.', 'sam.'
  ],
  daysMin: [
    'di', 'lu', 'ma', 'me', 'je', 've', 'sa'
  ],
  months: [
    'janvier', 'février', 'mars', 'avril', 'mai', 'juin', 'juillet',
    'août', 'septembre', 'octobre', 'novembre', 'décembre'
  ],
  monthsShort: [
    'janv.', 'févr.', 'mars', 'avr.', 'mai', 'juin',
    'juill.', 'août', 'sept.', 'oct.', 'nov.', 'déc.'
  ],
  weekStart: 1
});
